add_library(ADC STATIC
    ADC.c
)
target_include_directories(ADC PUBLIC
    ${CMAKE_CURRENT_LIST_DIR}
)

if(UNIT_TESTING)
    target_link_libraries(ADC
        MockRegEdit
    )

else()
    target_link_libraries(ADC
        RegEdit 
    )
endif()
